Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.phase.custom.scope
Class CustomStepScope

    java.lang.Object
      org.optaplanner.core.impl.phase.step.AbstractStepScope
          org.optaplanner.core.impl.phase.custom.scope.CustomStepScope

    public class CustomStepScope

extends AbstractStepScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.step.AbstractStepScope
`bestScoreImproved, clonedSolution, score, stepIndex`

Constructor Summary
`CustomStepScope(CustomSolverPhaseScope phaseScope)`
`CustomStepScope(CustomSolverPhaseScope phaseScope, int stepIndex)`

Method Summary
`CustomSolverPhaseScope` | `getPhaseScope()`
`int` | `getUninitializedVariableCount()`
`boolean` | `isBestSolutionCloningDelayed()`
`void` | `setUninitializedVariableCount(int uninitializedVariableCount)`

Methods inherited from class org.optaplanner.core.impl.phase.step.AbstractStepScope
`createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, hasNoUninitializedVariables, setBestScoreImproved, setClonedSolution, setScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomStepScope

    public CustomStepScope(CustomSolverPhaseScope phaseScope)

### CustomStepScope

    public CustomStepScope(CustomSolverPhaseScope phaseScope,
                           int stepIndex)

Method Detail

### getPhaseScope

    public CustomSolverPhaseScope getPhaseScope()

  Specified by:
    `getPhaseScope` in class `AbstractStepScope`

### isBestSolutionCloningDelayed

    public boolean isBestSolutionCloningDelayed()

  Specified by:
    `isBestSolutionCloningDelayed` in class `AbstractStepScope`

### getUninitializedVariableCount

    public int getUninitializedVariableCount()

  Specified by:
    `getUninitializedVariableCount` in class `AbstractStepScope`

### setUninitializedVariableCount

    public void setUninitializedVariableCount(int uninitializedVariableCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.